/*
 * konto.C
 *
 *  Created on: 21.11.2008
 *      Author: wolfgang
 */

#include "konto.h"

Konto::Konto (long n, const string& inh) {
	cout << " Ich baue ein Objekt vom Typ Konto" << endl;
	nr = n;
	inhaber = inh;
}

Konto::~Konto() {
	cout << "Ich zerstoere ein Objekt vom Typ Konto" << endl;
}

void Konto::display() const {
	cout << "\n--------------------------------------"
		 << "\nKontoNummer:                  " << nr
		 << "\nInhaber:                      " << inhaber
		 << endl;
}

Anlage::Anlage(const string& art, bool kuendb, int n, const string& inh)
    : Konto( n, inh), Art( art ), viertelJKuendbar( kuendb )   {
	cout << "Ich baue ein Objekt vom Typ Anlage auf " << endl;
}

Anlage::~Anlage(){
	cout << "\nIch zerstoere ein Objekt vom Typ Anlage" << endl;
}

void Anlage::display(void) const {
	Konto::display();			// Methode der Basisklasse
	cout << "Art                           " << Art
		 << "\n1/4-Jaehrlich kuenbar (j/n):  ";
	if (viertelJKuendbar) cout << "ja " << endl;
	else cout << "nein " << endl;
}

Giro::Giro( int blz, double disp, int nr, const string& inh)
	: Konto(nr, inh), blz(blz), dispo(disp) {
	cout << "Ich baue ein Objekt vom Typ Giro auf" << endl;
}


Giro::~Giro(){
	cout << "ich zerstoere ein Objekt vom Typ Giro" << endl;
}



void Giro::display() const {
	Konto::display();
	cout <<    "Blz:                          " << blz
	     << "\nDispo:                        " << dispo << " Euro" << endl;
}
