/*
 * konto.h
 *
 *  Created on: 21.11.2008
 *      Author: wolfgang
 */

#ifndef KONTO_H_
#define KONTO_H_

#include <iostream>
#include <string>
using namespace::std;

class Konto {
private:
	long nr;
	string inhaber;
public:
	Konto(long n = 0, const string& herst = "");
	virtual ~Konto();  // virtual --> in beiden Basisklassen verfuegbar

	long getNr(void) const { return nr; }
	void setNr(long n) { nr = n;}

	const string& getInhaber() const {return inhaber; }
	void setInhaber(const string& h) {inhaber = h;}
	// virtual, in beiden Basisklassen verfuegbar
	virtual void display() const;
};



class Anlage : public Konto {
private:
        string Art;
	bool viertelJKuendbar;
public:
	Anlage(const string& tp, bool sd, int n=0, const string& h= "");
	~Anlage();

    // Zugriffsmethoden:
	const string& getArt( void ) const { return Art; }
	void  setArt( const string s ) { Art = s; }

    	bool  getKuend( void ) const { return viertelJKuendbar; }
	void  setKuend( bool d ) { viertelJKuendbar = d; }

	void  display( void ) const;
};


class Giro : public Konto {
private:
    	int    blz;
    	double dispo;
public:
    	Giro( int a, double t, int n, const string& hs);
	~Giro();

	void setBlz( int l) {blz = l;}
	int getBlz() const {return blz;}
	void setDispo(double t) {dispo = t;}
	double getDispo() const {return dispo;}

	void display() const;
};

#endif /* KONTO_H_ */
